package sedplugin.errors;

public class RefreshException extends SEDException {
	private static final long serialVersionUID = 1L;

	public RefreshException(final SEDException ex) {
		super(ex, "While synchronizing with Aladin");
	}

	public final SEDException getError(){
		return (SEDException)getCause();
	}

	@Override
	public String getLocalizedMessage() {
		return getCause().getLocalizedMessage();
	}

	@Override
	public String getMessage() {
		return "Error during the synchronization with Aladin";
	}

}
