package sedplugin.sed.source.operation;

import sedplugin.sed.SED;


public class SEDToken extends OperationToken {

	public final SED sed;

	public SEDToken(String expr, SED sed, int begin, int end) {
		super(expr, TokenType.SED, begin, end);
		this.sed = sed;
	}

	@Override
	public final int getNbPoints() {
		return (sed == null) ? 0 : sed.size();
	}

}
