package sedplugin.sed;

import sedplugin.sed.source.SEDSource;

/**
 * Let's listening a SED.
 * 
 * @author Gr&eacute;gory Mantelet (CDS)
 * @version 04/2012
 */
public interface SEDListener {

	/**
	 * Notifies when a SED has just been updated.
	 * 
	 * @param sed	The updated SED.
	 * @param src	The source of the updated SED.
	 */
	public void sedUpdated(final SED sed, final SEDSource src);

}
